#include "iannixapp.h"

IanniXApp::IanniXApp(int &argc, char **argv) :
        QApplication(argc, argv) {

    QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));
    /*
    QTranslator translator;
    translator.load("iannix");
    installTranslator(&translator);
    */

    QString appName = "IanniX ";
    QString appVersion = "0.8.1";

#ifdef Q_OS_MAC
    appName += "Mac";
#endif
#ifdef Q_OS_WIN
    appName += "Windows";
#endif
#ifdef Q_OS_LINUX
    appName += "Linux";
#endif

    QString appPackage = (appName + "__" + appVersion).toLower().replace(" ", "_").replace(".", "_");
    qDebug("Starting %s %s (%s)", qPrintable(appName), qPrintable(appVersion), qPrintable(appPackage));

    QCoreApplication::setApplicationName(appName);
    QCoreApplication::setApplicationVersion(appVersion);
    QCoreApplication::setOrganizationName("IanniX");
    QCoreApplication::setOrganizationDomain("org.iannix");

    iannix = new IanniX(0);
    if(argc >= 2) {
        qDebug("%s", argv[1]);
        iannix->loadProject(argv[1]);
    }
    /*
    else
        iannix->loadProject("Project/root.root");
    */
}


int main(int argc, char *argv[]) {
    IanniXApp iannixApp(argc, argv);

    return iannixApp.exec();
}

